Browse Source

I am sorry

master
John ShaggyTwoDope Jenkins 5 years ago
parent
commit
abcffcc7d5

BIN
comicseer/ComicSeer_Linux_amd64_v2.51-3.zip View File


BIN
comicseer/ComicSeer_Linux_i386_v2.51-3.zip View File


+ 38
- 0
comicseer/PKGBUILD View File

@@ -0,0 +1,38 @@
# Maintainer: John Jenkins twodopeshaggy@gmail.com

pkgname=comicseer
pkgver=2.51
pkgrel=1
pkgdesc="Cross-platform comicbook reader"
arch=('i686' 'x86_64')
url="http://www.xylasoft.com/comicseer/index.php"
license=('CUSTOM')
depends=('qt4' 'zlib')
if [ "$CARCH" == x86_64 ]; then
source=(http://www.xylasoft.com/comicseer/downloads/ComicSeer_Linux_amd64_v${pkgver}-3.zip
'comicseer.desktop')
sha1sums=('d8dc5c30c05c78d90b5ba96ba3385c67020d09b4'
'9985b83ff76ff704d0965126858a6b85c7d30475')
elif [ "$CARCH" == i686 ]; then
source=(http://www.xylasoft.com/comicseer/downloads/ComicSeer_Linux_i386_v${pkgver}-3.zip
'comicseer.desktop')
sha1sums=('29c471d7c25d75b86002b5770cb6636d8dace77f'
'9985b83ff76ff704d0965126858a6b85c7d30475')
fi
package() {
cd ${srcdir}/
mkdir -p ${pkgdir}/usr/bin
# main executable
install -Dm 755 comicseer ${pkgdir}/usr/bin
# docs
mkdir -p ${pkgdir}/usr/share/doc/comicseer
install -Dm 644 qtcopyright copyright Readme.txt ${pkgdir}/usr/share/doc/comicseer
mkdir -p ${pkgdir}/usr/share/applications/
# icon and application file
install -Dm 644 XylasoftComicsLogo.png ${pkgdir}/usr/share/doc/comicseer/comicseer.png
install -Dm 644 comicseer.desktop ${pkgdir}/usr/share/applications/
}

BIN
comicseer/comicseer-2.51-1-x86_64.pkg.tar.xz View File


BIN
comicseer/comicseer-2.51-1.src.tar.gz View File


+ 9
- 0
comicseer/comicseer.desktop View File

@@ -0,0 +1,9 @@
[Desktop Entry]
Version=1.0
Type=Application
Name=ComicSeer
GenericName=Comicbook Viewer
Comment=Viewer for Comic files (cbr/cbz format files)
Exec=comicseer %f
Icon=/usr/share/doc/comicseer/comicseer.png
Categories=Graphics;Viewer;

BIN
comicseer/pkg/comicseer/.MTREE View File


+ 23
- 0
comicseer/pkg/comicseer/.PKGINFO View File

@@ -0,0 +1,23 @@
# Generated by makepkg 4.2.1
# using fakeroot version 1.20.2
# Sat May 2 12:17:20 UTC 2015
pkgname = comicseer
pkgver = 2.51-1
pkgdesc = Cross-platform comicbook reader
url = http://www.xylasoft.com/comicseer/index.php
builddate = 1430569040
packager = Unknown Packager
size = 1932288
arch = x86_64
license = GPL
depend = qt4
depend = zlib
makepkgopt = strip
makepkgopt = docs
makepkgopt = !libtool
makepkgopt = !staticlibs
makepkgopt = emptydirs
makepkgopt = zipman
makepkgopt = purge
makepkgopt = !upx
makepkgopt = !debug

BIN
comicseer/pkg/comicseer/usr/bin/comicseer View File


+ 9
- 0
comicseer/pkg/comicseer/usr/share/applications/comicseer.desktop View File

@@ -0,0 +1,9 @@
[Desktop Entry]
Version=1.0
Type=Application
Name=ComicSeer
GenericName=Comicbook Viewer
Comment=Viewer for Comic files (cbr/cbz format files)
Exec=comicseer %f
Icon=/usr/share/doc/comicseer/comicseer.png
Categories=Graphics;Viewer;

+ 7
- 0
comicseer/pkg/comicseer/usr/share/doc/comicseer/Readme.txt View File

@@ -0,0 +1,7 @@
To use Comic Seer, you must have these prerequistes:
1) ZLib (included in most distros by default, this probably requires no work)
2) Qt4 (also included in most distros, but may require the Qt package)
Just unzip the contents of this zip file to a directory and run comicseer.
If you have a Debian-based distro (ie: Ubuntu, Debian), then the DEB package is recommended as opposed to the zip.

BIN
comicseer/pkg/comicseer/usr/share/doc/comicseer/comicseer.png View File


+ 5
- 0
comicseer/pkg/comicseer/usr/share/doc/comicseer/copyright View File

@@ -0,0 +1,5 @@
Copyright 2012-2014 Adam Jordan, Xylasoft (xylamic@xylasoft.com)
All rights reserved.

Questions: visit the website <http://comicseer.xylasoft.com> or
email <comicseer@xylasoft.com>.

+ 7
- 0
comicseer/pkg/comicseer/usr/share/doc/comicseer/qtcopyright View File

@@ -0,0 +1,7 @@
Qt is available under the LGPL (version 2.1).
The Qt Toolkit is Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies) and other contributors.
Contact: http://www.qt-project.org/legal
Reference: GNU Lesser General Public License, version 2.1
<http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html>

Loading…
Cancel
Save